import { Color, Object3D, LineSegments } from 'three';
export interface ImodState {
    clip?: {
        [key: string]: [number, number];
    };
    lines?: {
        [key: string]: LineSegments;
    };
}
export interface IObj3D {
    name: string;
    value: Object3D;
}
export interface IScene {
    nam: string;
    des: string;
    model_id: number;
    param?: any;
    update_screen?: (obj: any) => void;
}
export interface IHasColor {
    color: Color;
}
export interface ICandispose {
    dispose: () => void;
}
export interface IPos {
    x: number;
    y: number;
    z: number;
}
export interface IMod {
    url: string;
    pos: IPos;
}
//# sourceMappingURL=ThreeType.d.ts.map